org.jboss.jca.as.converters.wls.metadata

## Class PoolParamsImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.PoolParamsImpl

- All Implemented Interfaces:
    java.io.Serializable, PoolParams, WlsMetadata

      public class PoolParamsImpl
      extends java.lang.Object
      implements PoolParams

  A generic PoolParams.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.PoolParams

      `PoolParams.Attribute, PoolParams.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolParamsImpl(java.lang.Integer initialCapacity, java.lang.Integer maxCapacity, java.lang.Integer capacityIncrement, java.lang.Integer shrinkFrequencySeconds, java.lang.Integer connectionCreationRetryFrequencySeconds, java.lang.Integer connectionReserveTimeoutSeconds, java.lang.Integer testFrequencySeconds)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getCapacityIncrement()` getCapacityIncrement
    `java.lang.Integer` | `getConnectionCreationRetryFrequencySeconds()` getConnectionCreationRetryFrequencySeconds
    `java.lang.Integer` | `getConnectionReserveTimeoutSeconds()` getConnectionReserveTimeoutSeconds
    `java.lang.Integer` | `getHighestNumUnavailable()` getHighestNumUnavailable
    `java.lang.Integer` | `getHighestNumWaiters()` getHighestNumWaiters
    `java.lang.Boolean` | `getIgnoreInUseConnectionsEnabled()` getIgnoreInUseConnectionsEnabled
    `java.lang.Integer` | `getInitialCapacity()` getInitialCapacity
    `java.lang.Boolean` | `getMatchConnectionsSupported()` getMatchConnectionsSupported
    `java.lang.Integer` | `getMaxCapacity()` getMaxCapacity
    `java.lang.Integer` | `getProfileHarvestFrequencySeconds()` getProfileHarvestFrequencySeconds
    `java.lang.Integer` | `getShrinkFrequencySeconds()` getShrinkFrequencySeconds
    `java.lang.Boolean` | `getShrinkingEnabled()` getShrinkingEnabled
    `java.lang.Boolean` | `getTestConnectionsOnCreate()` getTestConnectionsOnCreate
    `java.lang.Boolean` | `getTestConnectionsOnRelease()` getTestConnectionsOnRelease
    `java.lang.Boolean` | `getTestConnectionsOnReserve()` getTestConnectionsOnReserve
    `java.lang.Integer` | `getTestFrequencySeconds()` getTestFrequencySeconds
    `java.lang.Boolean` | `getUseFirstAvailable()` getUseFirstAvailable

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolParamsImpl

          public PoolParamsImpl(java.lang.Integer initialCapacity,
                                java.lang.Integer maxCapacity,
                                java.lang.Integer capacityIncrement,
                                java.lang.Integer shrinkFrequencySeconds,
                                java.lang.Integer connectionCreationRetryFrequencySeconds,
                                java.lang.Integer connectionReserveTimeoutSeconds,
                                java.lang.Integer testFrequencySeconds)

      constructor
      Parameters:
        `initialCapacity` - initialCapacity
        `maxCapacity` - maxCapacity
        `capacityIncrement` - capacityIncrement
        `shrinkFrequencySeconds` - shrinkFrequencySeconds
        `connectionCreationRetryFrequencySeconds` - connectionCreationRetryFrequencySeconds
        `connectionReserveTimeoutSeconds` - connectionReserveTimeoutSeconds
        `testFrequencySeconds` - testFrequencySeconds

  - ### Method Detail

    - #### getInitialCapacity

          public java.lang.Integer getInitialCapacity()

      Description copied from interface: `PoolParams`
      getInitialCapacity
      Specified by:
        `getInitialCapacity` in interface `PoolParams`
      Returns:
        the InitialCapacity

    - #### getMaxCapacity

          public java.lang.Integer getMaxCapacity()

      Description copied from interface: `PoolParams`
      getMaxCapacity
      Specified by:
        `getMaxCapacity` in interface `PoolParams`
      Returns:
        the MaxCapacity

    - #### getCapacityIncrement

          public java.lang.Integer getCapacityIncrement()

      Description copied from interface: `PoolParams`
      getCapacityIncrement
      Specified by:
        `getCapacityIncrement` in interface `PoolParams`
      Returns:
        the CapacityIncrement

    - #### getShrinkingEnabled

          public java.lang.Boolean getShrinkingEnabled()

      Description copied from interface: `PoolParams`
      getShrinkingEnabled
      Specified by:
        `getShrinkingEnabled` in interface `PoolParams`
      Returns:
        the ShrinkingEnabled

    - #### getShrinkFrequencySeconds

          public java.lang.Integer getShrinkFrequencySeconds()

      Description copied from interface: `PoolParams`
      getShrinkFrequencySeconds
      Specified by:
        `getShrinkFrequencySeconds` in interface `PoolParams`
      Returns:
        the ShrinkFrequencySeconds

    - #### getHighestNumWaiters

          public java.lang.Integer getHighestNumWaiters()

      Description copied from interface: `PoolParams`
      getHighestNumWaiters
      Specified by:
        `getHighestNumWaiters` in interface `PoolParams`
      Returns:
        the HighestNumWaiters

    - #### getHighestNumUnavailable

          public java.lang.Integer getHighestNumUnavailable()

      Description copied from interface: `PoolParams`
      getHighestNumUnavailable
      Specified by:
        `getHighestNumUnavailable` in interface `PoolParams`
      Returns:
        the HighestNumUnavailable

    - #### getConnectionCreationRetryFrequencySeconds

          public java.lang.Integer getConnectionCreationRetryFrequencySeconds()

      Description copied from interface: `PoolParams`
      getConnectionCreationRetryFrequencySeconds
      Specified by:
        `getConnectionCreationRetryFrequencySeconds` in interface `PoolParams`
      Returns:
        the ConnectionCreationRetryFrequencySeconds

    - #### getConnectionReserveTimeoutSeconds

          public java.lang.Integer getConnectionReserveTimeoutSeconds()

      Description copied from interface: `PoolParams`
      getConnectionReserveTimeoutSeconds
      Specified by:
        `getConnectionReserveTimeoutSeconds` in interface `PoolParams`
      Returns:
        the ConnectionReserveTimeoutSeconds

    - #### getTestFrequencySeconds

          public java.lang.Integer getTestFrequencySeconds()

      Description copied from interface: `PoolParams`
      getTestFrequencySeconds
      Specified by:
        `getTestFrequencySeconds` in interface `PoolParams`
      Returns:
        the TestFrequencySeconds

    - #### getTestConnectionsOnCreate

          public java.lang.Boolean getTestConnectionsOnCreate()

      Description copied from interface: `PoolParams`
      getTestConnectionsOnCreate
      Specified by:
        `getTestConnectionsOnCreate` in interface `PoolParams`
      Returns:
        the TestConnectionsOnCreate

    - #### getTestConnectionsOnRelease

          public java.lang.Boolean getTestConnectionsOnRelease()

      Description copied from interface: `PoolParams`
      getTestConnectionsOnRelease
      Specified by:
        `getTestConnectionsOnRelease` in interface `PoolParams`
      Returns:
        the TestConnectionsOnRelease

    - #### getTestConnectionsOnReserve

          public java.lang.Boolean getTestConnectionsOnReserve()

      Description copied from interface: `PoolParams`
      getTestConnectionsOnReserve
      Specified by:
        `getTestConnectionsOnReserve` in interface `PoolParams`
      Returns:
        the TestConnectionsOnReserve

    - #### getProfileHarvestFrequencySeconds

          public java.lang.Integer getProfileHarvestFrequencySeconds()

      Description copied from interface: `PoolParams`
      getProfileHarvestFrequencySeconds
      Specified by:
        `getProfileHarvestFrequencySeconds` in interface `PoolParams`
      Returns:
        the ProfileHarvestFrequencySeconds

    - #### getIgnoreInUseConnectionsEnabled

          public java.lang.Boolean getIgnoreInUseConnectionsEnabled()

      Description copied from interface: `PoolParams`
      getIgnoreInUseConnectionsEnabled
      Specified by:
        `getIgnoreInUseConnectionsEnabled` in interface `PoolParams`
      Returns:
        the IgnoreInUseConnectionsEnabled

    - #### getMatchConnectionsSupported

          public java.lang.Boolean getMatchConnectionsSupported()

      Description copied from interface: `PoolParams`
      getMatchConnectionsSupported
      Specified by:
        `getMatchConnectionsSupported` in interface `PoolParams`
      Returns:
        the MatchConnectionsSupported

    - #### getUseFirstAvailable

          public java.lang.Boolean getUseFirstAvailable()

      Description copied from interface: `PoolParams`
      getUseFirstAvailable
      Specified by:
        `getUseFirstAvailable` in interface `PoolParams`
      Returns:
        the UseFirstAvailable

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)